onEvent('recipes', e => {

  e.remove({ output: 'extendedcrafting:black_iron_ingot' })
  e.remove({ output: 'extendedcrafting:luminessence' })
  e.remove({ output: 'extendedcrafting:black_iron_slate' })
  e.remove({ output: 'extendedcrafting:ender_ingot' })
  e.remove({ output: 'extendedcrafting:basic_component' })
  e.remove({ output: 'extendedcrafting:advanced_component' })
  e.remove({ output: 'extendedcrafting:elite_component' })
  e.remove({ output: 'extendedcrafting:ultimate_component' })
  e.remove({ output: 'extendedcrafting:crystaltine_ingot' })
  e.remove({ output: 'extendedcrafting:crystaltine_component' })
  e.remove({ output: 'extendedcrafting:redstone_component' })
  e.remove({ output: 'extendedcrafting:redstone_ingot' })
  e.remove({ output: 'extendedcrafting:the_ultimate_catalyst' })
  e.remove({ output: 'extendedcrafting:the_ultimate_component' })
  e.remove({ output: 'minecraft:iron_helmet' })
  e.remove({ output: 'minecraft:iron_chestplate' })
  e.remove({ output: 'minecraft:iron_leggings' })
  e.remove({ output: 'minecraft:iron_boots' })
  e.remove({ output: 'minecraft:golden_helmet' })
  e.remove({ output: 'minecraft:golden_chestplate' })
  e.remove({ output: 'minecraft:golden_leggings' })
  e.remove({ output: 'minecraft:golden_boots' })
  e.remove({ output: 'minecraft:diamond_helmet' })
  e.remove({ output: 'minecraft:diamond_chestplate' })
  e.remove({ output: 'minecraft:diamond_leggings' })
  e.remove({ output: 'minecraft:diamond_boots' })
  e.remove({ output: 'minecraft:netherite_helmet' })
  e.remove({ output: 'minecraft:netherite_chestplate' })
  e.remove({ output: 'minecraft:netherite_leggings' })
  e.remove({ output: 'minecraft:netherite_boots' })
  e.remove({ output: 'cyclic:emerald_helmet' })
  e.remove({ output: 'cyclic:emerald_chestplate' })
  e.remove({ output: 'cyclic:emerald_legging' })
  e.remove({ output: 'cyclic:emerald_boots' })
  e.remove({ output: 'cyclic:crystal_helmet' })
  e.remove({ output: 'cyclic:crystal_chestplate' })
  e.remove({ output: 'cyclic:crystal_legging' })
  e.remove({ output: 'cyclic:crystal_boots' })
  e.remove({ output: 'botania:terrasteel_helmet' })
  e.remove({ output: 'botania:terrasteel_chestplate' })
  e.remove({ output: 'botania:terrasteel_leggings' })
  e.remove({ output: 'botania:terrasteel_boots' })
  e.remove({ output: 'projecte:dm_helmet' })
  e.remove({ output: 'projecte:dm_chestplate' })
  e.remove({ output: 'projecte:dm_legging' })
  e.remove({ output: 'projecte:dm_boots' })
  e.remove({ output: 'projecte:rm_helmet' })
  e.remove({ output: 'projecte:rm_chestplate' })
  e.remove({ output: 'projecte:rm_leggings' })
  e.remove({ output: 'projecte:rm_boots' })
  e.remove({ output: 'mekanismgenerators:fusion_reactor_controller' })
  e.remove({ output: 'envirotech:litherite_void_miner_ccu' })
  e.remove({ output: 'envirotech:erodium_void_miner_ccu' })
  e.remove({ output: 'envirotech:kyronite_void_miner_ccu' })
  e.remove({ output: 'envirotech:pladium_void_miner_ccu' })
  e.remove({ output: 'envirotech:xerothium_void_miner_ccu' })
  e.remove({ output: 'draconicevolution:basic_crafting_injector' })

  e.shaped('2x extendedcrafting:black_iron_ingot', [
    '313',
    '121',
    '313'
  ], {
    1: 'mekanism:ingot_steel', 2: 'pneumaticcraft:plastic', 3: '#forge:dyes/black'
  })
  e.shaped('extendedcrafting:basic_component', [
    '111',
    '323',
    '111'
  ], {
    1: 'mekanism:ingot_steel', 2: 'extendedcrafting:luminessence_block', 3: 'extendedcrafting:black_iron_slate'
  })

})